petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMNetworkIsSharedVertex

Returns TRUE if the vertex is shared by subnetworks

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkIsSharedVertex(DM dm,PetscInt p,PetscBool *flag)

Not Collective

### Input Parameters

| dm | - the DMNetwork object
| p | - the vertex point

### Output Parameter

| flag | - TRUE if the vertex is shared by subnetworks

### See Also

DMNetworkAddSharedVertices(), DMNetworkIsGhostVertex()

### Level

beginner

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages